%define alsa_version 1.0.4

Summary:     Advanced Linux Sound Architecture (ALSA) Library
Name:        alsa-lib
Version:     %{alsa_version}
Release:     2.pp
License:     LGPL
Group:       System Environment/Libraries
Source0:     ftp://ftp.alsa-project.org/pub/lib/%{name}-%{version}.tar.bz2
URL:         http://www.alsa-project.org/
Buildroot:   /var/tmp/%{name}-root
Vendor:      ALSA
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    glibc
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel
ExclusiveOS: linux

%description
The Advanced Linux Sound Architecture is composed of several parts.
The first is a fully modularized sound driver which supports module
autoloading, devfs, isapnp autoconfiguration, and gives complete
access to analog audio, digital audio, control, mixer, synthesizer,
DSP, MIDI, and timer components of audio hardware. It also includes
a fully-featured kernel-level sequencer, a full compatibility layer
for OSS/Free applications, an object-oriented C library which covers
and enhances the ALSA kernel driver functionality for applications
(client/server, plugins, PCM sharing/multiplexing, PCM metering,
etc.), an interactive configuration program for the driver, and some
simple utilities for basic management.

This package contains the object-oriented C library.


%package devel
Summary:     Development files for the ALSA library
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-devel.pp

%description devel                                                                                                
This package contains the header files, libraries, and documentation
for building programs which use the ALSA library.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr           \
	--sysconfdir=/etc       \
	--localstatedir=/var    \
	--mandir=/usr/share/man \
	--enable-static         \
	--enable-shared
make


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make DESTDIR=$RPM_BUILD_ROOT install


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc ChangeLog COPYING INSTALL MEMORY-LEAK NOTES TODO
%doc %dir doc
/usr/bin/*
/usr/lib/*.so.*
%dir /usr/share/alsa
/usr/share/alsa/*

%files devel
%defattr(-, root, root)
/usr/include/*
/usr/lib/*.*a
/usr/lib/*.so
/usr/lib/pkgconfig/*
/usr/share/aclocal/*


%changelog
* Sun May 02 2004 peter.pramberger@1012surf.net
- created

